Get mailbox activity
Counts the actions proposed and events recorded on a mailbox between `after` and `before` (omit both for all time), and the actions waiting for approval now.
GET
Counts the actions proposed and events recorded on a mailbox between after and before (omit both for all time), and the actions waiting for approval now. List the actions and events themselves with GET /v1/mailboxes/{id}/actions and GET /v1/mailboxes/{id}/events.
apiKeyheader
x-api-key<token>id*stringMatch
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$after?stringbefore?stringMailboxAgentActivity
application/json- response
actions*events*pendingApprovals*integerRange
0 <= value <= 9007199254740991import { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.mailboxes.getAgentActivity({
"id": "example"
});Example Response
{
"actions": {
"byType": [
{
"type": "sendMessage",
"count": 0
}
],
"byState": [
{
"state": "proposed",
"count": 0
}
]
},
"events": {
"byType": [
{
"type": "mailbox.created",
"count": 0
}
]
},
"pendingApprovals": 0
}